@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Poppins', 'Montserrat', 'Arial', sans-serif;
    color: rgb(42,42,42);
}

h1, p, a, ul {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    outline: none;
    color: black;
}

ul {
    list-style: none;
}

b {
    font-weight: 500;
}

.button {
    border: 2px solid;
    border-radius: 500px;
    color: black;
    font-weight: 500;
    font-size: 15px;
    padding: 12px 40px;
    transition: .4s;
    min-width: 90px;
    display: inline;
}

.button:active, .button:hover, .button:focus {
    background: rgb(0,0,0);
    border: 2px solid black;
    color: white;
    outline: none;
}

.ctnr {
    width: 60%;
    max-width: 1000px;
    margin: 0 auto;
}

header {
    width: 100%;
    height: 100vh;
    background: rgb(255,255,255);
    background-size: cover;
    outline: none;
}

.project-header {
    height: 80px;
}

nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 10px;
    padding: 40px;
    box-sizing: border-box;
    transition: .3s ease;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    background: white;
    border: 1px solid white;
}

nav.black {
    background: white;
    width: 100%;
    height: 80px;
    border-bottom: 1px solid rgb(234,234,234);
}

.logo a {
    color: black;
    font-weight: 600;
    font-size: 18px;
    float: left;
    transition: .3s;
}

.logo a:hover {
    opacity: 0.5;
}

.menu {
    float: right;
}

.menu ul {
    display: flex;
    justify-content: flex-end;
}

.menu li {
    margin-left: 40px;
}

.menu a {
    color: black;
    font-size: 15px;
    font-weight: 500;
    text-align: center;
    transition: .3s;
}

.menu a:hover, .menu a:active {
    color: rgba(0,0,0,0.3);
}

.menu .button:hover, .menu .button:active {
    color: rgb(255,255,255);
}

.project-desc {
    width: 60%;
    max-width: 1000px;
    margin: 0 auto;
    padding-top: 160px;
    padding-bottom: 80px;
}

.screens {
    width: 60%;
    max-width: 1000px;
    margin: 0 auto;
    padding-bottom: 120px;
}

.screen {
    width: 100%;
    height: auto;
}

.screens p {
    font-size: 15px;
    font-weight: 300;
    letter-spacing: 0.03px;
    line-height: 2.5;
    color: rgb(160,170,180);
    margin-bottom: 48px;
}

.screens div {
    display: flex;
    justify-content: center;
    padding-top: 32px;
}

.top-content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.top-content h1, .project-desc h1 {
    font-size: 80px;
    font-weight: 600;
    margin-bottom: 20px;
    line-height: 1;
}

.top-content h3, .project-desc h3 {
    font-size: 20px;
    font-weight: 400;
    line-height: 1.7;
}

.project-desc h3 {
    margin-top: 64px;
}

#aboutH3 {
    margin-top: 16px;
}

.top-content span {
    background: rgb(250,255,124);
}

.top-content p, .project-desc p {
    font-size: 15px;
    font-weight: 300;
    letter-spacing: 0.03px;
    line-height: 1.7;
    margin-top: 0px;
    column-count: 2;
    column-gap: 32px;
    color: rgb(160,170,180); 
}

p.role {
    column-count: 1;
    width: 48%;
}

p.role b {
    color: black;
}


.me-photo-small {
    width: 90px;
    height: auto;
}



.me-photo {
    width: 140px;
    height: auto;
    margin-right: 40px;
    margin-top: 10px;
    transition: .3s;
}

.me-photo:hover {
    transform: scale(90%);
}

.hello {
    display: flex;
    align-items: flex-start;
}

.vl {
    border-left: 1px solid grey;
    height: 72px;
    position: absolute;
    left: 50%;
/*    margin-left: -3px;*/
    bottom: 48px;
}

.scroll-label {
    writing-mode: vertical-lr;
    margin: 0 auto;
    position: relative;
    bottom: 220px;
}

.side-socials {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 120px;
    padding-left: 40px;   
    position: fixed;
    top: 44vh;
    left: 0;
}

.icon-social {
    transition: .3s;
}

.icon-social:hover, .icon-social:active, .icon-social:focus {
    opacity: 0.5;
}

.project-thumbs {
    width: 64%;
    margin: 0 auto;
    padding-top: 140px;
    margin-bottom: 100px;
    overflow: hidden; 
}

.project {
    width: 48%;
    position: relative;
    float: left;
    margin: 2% 1%;
}

.project img {
    width: 100%;
    height: auto;
    transition: .3s ease;
}

.project img:hover {
    opacity: 0.7;
}

.thumb-desc {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    font-size: 14px;
    font-weight: 400;
}

.thumb-desc span {
    font-weight: 600;
}

.thumb-desc a {
    color: rgb(160,170,180);
}

.hl {
    border-bottom: 1px solid rgb(160,170,180);
    width: 72px;
    margin-right: 16px;
}

.thumb-desc div:last-child {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.reach-out {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    width: 70%;
    margin: 0 auto;
}

.reach-out a:last-child {
    margin-left: 40px;
}

.reach-out .button {
    background: black;
    border: 1px solid black;
    color: white;
    width: 15%;
    min-width: 110px;
    max-width: 150px;
    text-align: center;
}

.reach-out .button:hover {
    background: grey;
    border: 1px solid grey;
    color: white;
}

.reach-out h2 {
    font-size: 32px;
}

.reach-out-about {
    width: 100%;
    margin-top: 100px;
}

.contact-item {
    display: flex;
    justify-content: flex-start;
/*    line-height: 1px;*/
    margin-bottom: 16px;
}

.contact-item img {
    margin-right: 16px;
}

.contact-item a {
    background: rgb(250,255,124);
}

.contact h3 {
    line-height: 0.1;
}


.contact-item:first-of-type {
    margin-top: 40px;
}

footer {
    border-top: 1px solid rgba(160,170,180,0.2);
    padding: 20px 0;
    margin-top: 100px;
}

footer p {
    text-align: center;
    color: rgb(160,170,180);
    font-size: 14px;
    font-weight: 300;
}

.fixed-footer {
    position: absolute;
    width: 100%;
    bottom: 0;
}

section {
    outline: none;
}

.chevron {
    position: fixed;
    top: 50%;
    opacity: .3;
    transition: .3s ease;
}

.chevron:hover, .chevron:active, .chevron:focus {
    opacity: 1;
}

.chevron a {
    display: flex;
    align-items: center;
}

.prev {
    left: 40px; 
}

.next {
    right: 40px;    
}

.prev img {
    margin-right: 10px;
}

.next img {
    margin-left: 10px;
}

.id-card {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 40px 0;
}

.id-card h3, .id-card p {
    margin: 0;
}

/*
.id-card p {
    color: black;
    font-size: 16px;
    font-weight: 400;
    background: rgb(250,255,124);
    }
*/

.id-card img {
    width: 72px;
    height: auto;
    margin-right: 24px;
}

.text-title {
    font-size: 17px;
    font-weight: 500;
    margin-top: 24px;
    margin-bottom: 16px;
}

.screens a {
    background: rgb(250,255,124);
    font-size: 20px;
    font-weight: 500;
}

/******** MOBILE ********/



@media screen and (max-width: 800px) {
    
    nav {
        padding: 40px 30px;
    }
    .top-content {
        width: 90%;
        margin: 0 auto;
    }
    .top-content h1 {
        font-size: 40px;
        margin-top: 20px;
        margin-bottom: 20px;
        text-align: center;
    }
    .top-content h3 {
        font-size: 16px;
        text-align: center;
    }
    .project-desc h1 {
        font-size: 56px;
    }
    .project-desc p {
        column-count: 1;
        font-size: 16px;
    }
    .bbb {
        font-weight: 300;
        color: pink;
    }
    .project-desc {
        padding-top: 72px;
        width: 80%;
    }
    .id-card {
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .id-card img {
        margin-right: 0;  
    }
    .id-card h3 {
        font-size: 16px;
        padding-top: 16px;
    }
    .id-card p {
        color: black;
        font-size: 16px;
        font-weight: 400;
        background: rgb(250,255,124);
    }
    .hello {
        flex-direction: column;
        align-items: center;
    }
    .me-photo {
        margin: 0;
        width: 120px;
    }
    .side-socials {
        display: block;
        width: 100%;
        text-align: center;
        padding: 0;
        position: relative;
        top: 20px;
    }
    .side-socials a:nth-child(2) {
        margin: 0 24px;
        
    }
    .vl {
        bottom: 16px;
        height: 24px;
    }
    .scroll-label {
        font-size: 13px;
        bottom: 120px;
    }
    .project-thumbs {
        width: 90%;
        margin: 0 auto;
    }
    .project {
        width: 100%;
        margin: 0 0 10% 0;
    }
    .thumb-desc div:last-child {
        display: none;
    }
    
    .reach-out {
        width: 90%;
        flex-direction: column;
        margin: 0;
    }
    .reach-out a:last-child {
        margin-left: 0;
    }
    .reach-out h2 {
        font-size: 24px;
        text-align: center;
    }
    
    .about {
    column-count: 1;
    }
    
    nav.black .menu a {
        color: black;
    }
    nav.black .menu a.button, nav .menu a.button {
        color: white;
        background: black;
    }
    .menu a.button:hover, nav.black .menu a.button:hover {
        background: rgb(240,170,100);
        color: black;
    }
    .screens {
        width: 80%;
        max-width: 1000px;
        margin: 0 auto;
        padding-bottom: 50px;
    }
    .screens p {
        margin-bottom: 24px;
    }
}

/*ANIMATE*/

.fadeInUp {
    -webkit-animation-name: fadeInUp;
    animation-name: fadeInUp;
    -webkit-animation-delay: 0.5s;
    -moz-animation-delay: 0.5s;
    animation-delay: 0.5s;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

@-webkit-keyframes bounceInLeft {
  from,
  60%,
  75%,
  90%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    -webkit-transform: translate3d(-3000px, 0, 0);
    transform: translate3d(-3000px, 0, 0);
  }

  60% {
    opacity: 1;
    -webkit-transform: translate3d(25px, 0, 0);
    transform: translate3d(25px, 0, 0);
  }

  75% {
    -webkit-transform: translate3d(-10px, 0, 0);
    transform: translate3d(-10px, 0, 0);
  }

  90% {
    -webkit-transform: translate3d(5px, 0, 0);
    transform: translate3d(5px, 0, 0);
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes bounceInLeft {
  from,
  60%,
  75%,
  90%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    -webkit-transform: translate3d(-3000px, 0, 0);
    transform: translate3d(-3000px, 0, 0);
  }

  60% {
    opacity: 1;
    -webkit-transform: translate3d(25px, 0, 0);
    transform: translate3d(25px, 0, 0);
  }

  75% {
    -webkit-transform: translate3d(-10px, 0, 0);
    transform: translate3d(-10px, 0, 0);
  }

  90% {
    -webkit-transform: translate3d(5px, 0, 0);
    transform: translate3d(5px, 0, 0);
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.bounceInLeft {
  -webkit-animation-name: bounceInLeft;
  animation-name: bounceInLeft;
}


/*BACK TO TOP BUTTON*/

.scroll {
    position:fixed;
    right:30px;
    bottom:80px;
    cursor:pointer;
    width:50px;
    height:50px;
    text-indent:-9999px;
    display:none;
    border: 1px solid black;
    -webkit-border-radius:60px;
    -moz-border-radius:60px;
    border-radius:60px;
    background: white;
    z-index: 200;
    transition: 0.2s ease;
}
.scroll span {
    position:absolute;
    top:50%;
    left:50%;
    margin-left:-8px;
    margin-top:-12px;
    height:0;
    width:0;
    border:8px solid transparent;
    border-bottom-color: black;
}
.scroll:hover {
    background-color: rgb(250,255,125);
    border: 1px solid rgb(250,255,125);
    opacity:1;
    filter:"alpha(opacity=100)";
    -ms-filter:"alpha(opacity=100)";
}

.scroll span:hover {
    border-bottom-color: white;
}

@media screen and (max-width: 800px) {
    footer div {
         display: none;   
    }
}

/*RESPONSIVE MENU*/

.button_container {
    float: right;
    position: relative;
    display: block;
    height: 25px;
    width: 25px;
    cursor: pointer;
    z-index: 7510000;
    -webkit-transition: opacity .25s ease;
    transition: opacity .25s ease;
    display: none;
}

.button_container span {
    position: absolute;
    top: 0;
    right: 0;
    background: black;
    border: none;
    height: 2px;
    width: 100%;
    -webkit-transition: all .35s ease;
    transition: all .35s ease;
    cursor: pointer;
}

nav.black .button_container span {
    background: black;
}

.button_container span:nth-of-type(2) {
    top: 8px;
}

.button_container span:nth-of-type(3) {
    top: 16px;
}

@media screen and (max-width: 800px) {
    .button_container {
        display: block;
    }
}

.button_container:hover {
    opacity: .7;
}

.button_container.active .top {
    -webkit-transform: translateY(8px) translateX(0) rotate(45deg);
            transform: translateY(8px) translateX(0) rotate(45deg);
    background: #474747;
}

.button_container.active .middle {
    opacity: 0;
    background: #474747;
}

.button_container.active .bottom {
    -webkit-transform: translateY(-8px) translateX(0) rotate(-45deg);
            transform: translateY(-8px) translateX(0) rotate(-45deg);
    background: #474747;
}

@media screen and (max-width: 800px) {
    
    .overlay {
        position: fixed;
        background: rgba(255,255,255,0.95);
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        visibility: hidden;
        -webkit-transition: opacity .35s, visibility .35s, width .35s;
        transition: opacity .35s, visibility .35s, width .35s;
        overflow: hidden;
        -webkit-box-shadow: -10px 0 20px rgba(0,0,0,0.1);
        -moz-box-shadow: -10px 0 20px rgba(0,0,0,0.1);
        box-shadow: -10px 0 20px rgba(0,0,0,0.03);
    }
    
    .overlay.open {
        opacity: 1;
        visibility: visible;
        width: 100%;
        z-index: 7000;
    }
    
    .overlay ul li {
      -webkit-animation: fadeInRight .5s ease forwards;
              animation: fadeInRight .5s ease forwards;
      -webkit-animation-delay: .35s;
              animation-delay: .35s;
    }
    
    .overlay ul li:nth-of-type(2) {
      -webkit-animation-delay: .40s;
              animation-delay: .40s;
    }
    
    .overlay ul li:nth-of-type(3) {
      -webkit-animation-delay: .45s;
              animation-delay: .45s;
    }
    
    .overlay ul li:nth-of-type(4) {
      -webkit-animation-delay: .50s;
              animation-delay: .50s;
    }
    
    .overlay ul {
        height: 100%;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
    }
    
    .overlay ul li {
      margin: 0 0 50px 0;
    }
    .overlay a {
        font-weight: 500;
        font-size: 18px;
    }

}

/*ANIMATE*/
